Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## sum.strukturen
Class Liste<Typ>

    java.lang.Object
      sum.strukturen.Liste<Typ>

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  Schlange, Stapel

    public class Liste<Typ>

extends Object
implements Serializable

Die Klasse Liste ist die Realisierung einer doppelt verketteten Liste mit zwei Sentinels (Bug und Heck) am Anfang und am Ende der Liste.
Sie kann als Liste mit einem Inhaltstyp deklariert werden. Wird dieser weggelassen, liefert die Anfrage aktuelles ein Object und es wird Typkonversion nötig.

Version:
  7.3 vom 11.10.2011
Author:
  Bernard Schriek
See Also:
  Serialized Form

Field Summary
`(package private) static long` | `serialVersionUID`

Constructor Summary
`Liste()` Eine neue leere Liste wird erzeugt.

Method Summary
`int` | `aktuellePosition()` Das Position des aktuellen Knotens wird zurückgegeben.
`Typ` | `aktuelles()` Das Objekt an der aktuellen Position in der Liste wird zurückgegeben.
`Typ` | `aktuellesElement()` Das Objekt an der aktuellen Position in der Liste wird zurückgegeben.
`void` | `entferneAktuelles()` Das aktuelle Listenelement wird gelöscht.
`void` | `entferneAlleElemente()` Alle Listenelemente werden aus der Liste entfernt.
`void` | `ersetzeAktuelles(Typ pObject)` Das aktuelle Listenelement wird ersetzt.
`protected sum.strukturen.Liste.Knoten` | `ersterKnoten()` interner Dienst zur Unterstützung von haengeListeAn
`void` | `fuegeDahinterEin(Typ pInhalt)` Ein neues Objekt wird hinter der aktuellen Position in die Liste eingefügt.
`void` | `fuegeDavorEin(Typ pInhalt)` Ein neues Objekt wird vor der aktuellen Position in die Liste eingefügt.
`void` | `geheZuPosition(int pPosition)` Die aktuelle Position wird zu einer bestimmten Position bewegt.
`void` | `haengeAn(Typ pInhalt)` Ein neues Objekt wird an das Ende der Liste angehängt.
`void` | `haengeListeAn(Liste pListe)` Eine weitere Liste wird an die Liste angehängt.
`boolean` | `istAmAnfang()` Wenn die aktuelle Position das erste Element der Liste ist, wird true zurückgegeben.
`boolean` | `istAmEnde()` Wenn die aktuelle Position das letzte Element der Liste ist, wird true zurückgegeben.
`boolean` | `istDahinter()` Wenn die aktuelle Position hinter der Liste ist, wird true zurückgegeben.
`boolean` | `istDavor()` Wenn die aktuelle Position vor der Liste ist, wird true zurückgegeben.
`boolean` | `istLeer()` Es wird zurückgegeben, ob die Liste leer ist.
`int` | `laenge()` Die Länge der Liste wird zurückgegeben.
`protected sum.strukturen.Liste.Knoten` | `letzterKnoten()` interner Dienst zur Unterstützung von haengeListeAn
`void` | `loescheAktuelles()` Das aktuelle Listenelement wird gelöscht.
`int` | `position(Typ pObject)` Die Position eines Objekts in der Liste wird ermittelt.
`void` | `setzeDavor(Typ pInhalt)` Ein neues Objekt wird vor den Anfang der Liste eingefügt.
`void` | `setzeListeDavor(Liste pListe)` Eine weitere Liste wird vor die Liste angehängt.
`String` | `toString()` Der Inhalt der Liste wird als String zurückgegeben.
`void` | `vor()` Die aktuelle Position wird vor gesetzt.
`void` | `zumAnfang()` Die aktuelle Position wird auf den Listenanfang gesetzt.
`void` | `zumEnde()` Die aktuelle Position wird auf das Listenende gesetzt.
`void` | `zurueck()` Die aktuelle Position wird zurück gesetzt.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### serialVersionUID

    static final long serialVersionUID

See Also:
  Constant Field Values

Constructor Detail

### Liste

    public Liste()

  Eine neue leere Liste wird erzeugt.

Method Detail

### aktuellePosition

    public int aktuellePosition()

  Das Position des aktuellen Knotens wird zurückgegeben.

  Returns:
    die Position des aktuellen Knotens in der Liste

### aktuelles

    public Typ aktuelles()

  Das Objekt an der aktuellen Position in der Liste wird zurückgegeben.

  Returns:
    das aktuelle Objekt der Liste

### aktuellesElement

    public Typ aktuellesElement()

  Das Objekt an der aktuellen Position in der Liste wird zurückgegeben.

  Returns:
    das aktuelle Objekt der Liste

### entferneAktuelles

    public void entferneAktuelles()

  Das aktuelle Listenelement wird gelöscht.

### entferneAlleElemente

    public void entferneAlleElemente()

  Alle Listenelemente werden aus der Liste entfernt. Die Liste ist danach leer.

### ersetzeAktuelles

    public void ersetzeAktuelles(Typ pObject)

  Das aktuelle Listenelement wird ersetzt.

  Parameters:
    `pObject` - der neue Inhalt des aktuellen Listenelements

### ersterKnoten

    protected sum.strukturen.Liste.Knoten ersterKnoten()

  interner Dienst zur Unterstützung von haengeListeAn

### fuegeDahinterEin

    public void fuegeDahinterEin(Typ pInhalt)

  Ein neues Objekt wird hinter der aktuellen Position in die Liste eingefügt. Die aktuelle Position bleibt unverändert.

  Parameters:
    `pInhalt` - der neue Inhalt (Objekt)

### fuegeDavorEin

    public void fuegeDavorEin(Typ pInhalt)

  Ein neues Objekt wird vor der aktuellen Position in die Liste eingefügt. Die aktuelle Position bleibt unverändert.

  Parameters:
    `pInhalt` - der neue Inhalt (Objekt)

### geheZuPosition

    public void geheZuPosition(int pPosition)

  Die aktuelle Position wird zu einer bestimmten Position bewegt.

### haengeAn

    public void haengeAn(Typ pInhalt)

  Ein neues Objekt wird an das Ende der Liste angehängt.

  Parameters:
    `pInhalt` - der neue Inhalt (Objekt)

### haengeListeAn

    public void haengeListeAn(Liste pListe)

  Eine weitere Liste wird an die Liste angehängt.

  Parameters:
    `pListe` - die Liste, die an diese Liste angehängt wird.

### istAmAnfang

    public boolean istAmAnfang()

  Wenn die aktuelle Position das erste Element der Liste ist, wird true zurückgegeben.

  Returns:
    true, wenn die aktuelle Position das erste Element der Liste ist.

### istAmEnde

    public boolean istAmEnde()

  Wenn die aktuelle Position das letzte Element der Liste ist, wird true zurückgegeben.

  Returns:
    true, wenn die aktuelle Position das letzte Element der Liste ist.

### istDahinter

    public boolean istDahinter()

  Wenn die aktuelle Position hinter der Liste ist, wird true zurückgegeben.

  Returns:
    true, wenn die aktuelle Position hinter der Liste ist.

### istDavor

    public boolean istDavor()

  Wenn die aktuelle Position vor der Liste ist, wird true zurückgegeben.

  Returns:
    true, wenn die aktuelle Position vor der Liste ist.

### istLeer

    public boolean istLeer()

  Es wird zurückgegeben, ob die Liste leer ist.

  Returns:
    true, wenn die Liste leer ist

### laenge

    public int laenge()

  Die Länge der Liste wird zurückgegeben.

  Returns:
    die Anzahl der Elemente in der Liste

### letzterKnoten

    protected sum.strukturen.Liste.Knoten letzterKnoten()

  interner Dienst zur Unterstützung von haengeListeAn

### loescheAktuelles

    public void loescheAktuelles()

  Das aktuelle Listenelement wird gelöscht.

### position

    public int position(Typ pObject)

  Die Position eines Objekts in der Liste wird ermittelt. Falls das Objekt nicht in der Liste enthalten ist, wird -1 zurückgegeben. Falls das Objekt mehrfach in der Liste enthalten ist, wird die Position des ersten Auftretens zurückgegeben.

  Parameters:
    `pObject` - das Objekt, dessen Position in der Liste ermittelt wird.
  Returns:
    die Position des Objekts in der Liste

### setzeDavor

    public void setzeDavor(Typ pInhalt)

  Ein neues Objekt wird vor den Anfang der Liste eingefügt.

  Parameters:
    `pInhalt` - der neue Inhalt (Objekt)

### setzeListeDavor

    public void setzeListeDavor(Liste pListe)

  Eine weitere Liste wird vor die Liste angehängt.

  Parameters:
    `pListe` - die Liste, die vor diese Liste angehängt wird.

### toString

    public String toString()

  Der Inhalt der Liste wird als String zurückgegeben.

  Overrides:
    `toString` in class `Object`
  Returns:
    der Inhalt der Liste als String

### vor

    public void vor()

  Die aktuelle Position wird vor gesetzt.

### zumAnfang

    public void zumAnfang()

  Die aktuelle Position wird auf den Listenanfang gesetzt.

### zumEnde

    public void zumEnde()

  Die aktuelle Position wird auf das Listenende gesetzt.

### zurueck

    public void zurueck()

  Die aktuelle Position wird zurück gesetzt.

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD